#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    ll n,l,ans=-1,h;
    cin >> n >> l;
    for (ll i=1;i<=n;i++)
    {
        cin >> h;
        if (h<=l && ans==-1)
            ans=i;
    }
    cout << ans;
    return 0;
}